buildah-1.24.2-2.el9
- Add patch to fix bash symtax for gating tests - Upstream PR: https://github.com/containers/buildah/pull/3792 - Related: #2000051 Signed-off-by: Lokesh Mandvekar <lsm5@fedoraproject.org>
This commit is contained in:
parent
4b4746eb0f
commit
77c250deee
@ -21,7 +21,7 @@ go build -buildmode pie -compiler gc -tags="rpm_crashtraceback libtrust_openssl
|
||||
Epoch: 1
|
||||
Name: buildah
|
||||
Version: 1.24.2
|
||||
Release: 1%{?dist}
|
||||
Release: 2%{?dist}
|
||||
Summary: A command line tool used for creating OCI Images
|
||||
License: ASL 2.0
|
||||
URL: https://%{name}.io
|
||||
@ -32,6 +32,7 @@ Source0: https://%{import_path}/tarball/%{commit0}/%{branch}-%{shortcommit0}.tar
|
||||
%else
|
||||
Source0: https://%{import_path}/archive/%{commit0}/%{name}-%{version}-%{shortcommit0}.tar.gz
|
||||
%endif
|
||||
Patch0: fix-bash-syntax.patch
|
||||
BuildRequires: golang >= 1.16.6
|
||||
BuildRequires: git
|
||||
BuildRequires: glib2-devel
|
||||
@ -131,6 +132,11 @@ make DESTDIR=%{buildroot} PREFIX=%{_prefix} -C docs install
|
||||
%{_datadir}/%{name}/test
|
||||
|
||||
%changelog
|
||||
* Mon Feb 21 2022 Lokesh Mandvekar <lsm5@redhat.com> - 1:1.24.2-2
|
||||
- Add patch to fix bash symtax for gating tests
|
||||
- Upstream PR: https://github.com/containers/buildah/pull/3792
|
||||
- Related: #2000051
|
||||
|
||||
* Thu Feb 17 2022 Jindrich Novy <jnovy@redhat.com> - 1:1.24.2-1
|
||||
- update to https://github.com/containers/buildah/releases/tag/v1.24.2
|
||||
- Related: #2000051
|
||||
|
45
fix-bash-syntax.patch
Normal file
45
fix-bash-syntax.patch
Normal file
@ -0,0 +1,45 @@
|
||||
From eedab4fd872c3be8ab15af767897f92c78a71fde Mon Sep 17 00:00:00 2001
|
||||
From: Lokesh Mandvekar <lsm5@fedoraproject.org>
|
||||
Date: Mon, 21 Feb 2022 14:58:40 -0500
|
||||
Subject: [PATCH] helpers.bash: Use correct syntax
|
||||
|
||||
Fixes gating test failure:
|
||||
```
|
||||
/usr/share/buildah/test/system/./helpers.bash: line 474: !is_cgroupsv2: command not found
|
||||
```
|
||||
|
||||
Co-authored-by: Yiqiao Pu <ypu@redhat.com>
|
||||
|
||||
I'm just the committer.
|
||||
|
||||
Signed-off-by: Lokesh Mandvekar <lsm5@fedoraproject.org>
|
||||
---
|
||||
tests/helpers.bash | 8 ++++----
|
||||
1 file changed, 4 insertions(+), 4 deletions(-)
|
||||
|
||||
diff --git a/tests/helpers.bash b/tests/helpers.bash
|
||||
index bd2794c974..3e72108bec 100644
|
||||
--- a/tests/helpers.bash
|
||||
+++ b/tests/helpers.bash
|
||||
@@ -433,9 +433,9 @@ function skip_if_rootless() {
|
||||
##################################
|
||||
function skip_if_rootless_and_cgroupv1() {
|
||||
if test "$BUILDAH_ISOLATION" = "rootless"; then
|
||||
- if !is_cgroupsv2; then
|
||||
- skip "${1:-test does not work when \$BUILDAH_ISOLATION = rootless} and not cgroupv2"
|
||||
- fi
|
||||
+ if ! is_cgroupsv2; then
|
||||
+ skip "${1:-test does not work when \$BUILDAH_ISOLATION = rootless} and not cgroupv2"
|
||||
+ fi
|
||||
fi
|
||||
}
|
||||
|
||||
@@ -471,7 +471,7 @@ function skip_if_cgroupsv2() {
|
||||
# skip_if_cgroupsv1 # Some tests don't work with cgroupsv1
|
||||
#######################
|
||||
function skip_if_cgroupsv1() {
|
||||
- if !is_cgroupsv2; then
|
||||
+ if ! is_cgroupsv2; then
|
||||
skip "${1:-test does not work with cgroups v1}"
|
||||
fi
|
||||
}
|
Loading…
Reference in New Issue
Block a user